/****************************************************************************
    Constant definition only used by this module
*****************************************************************************/
#define ST_NEW_STREAM    0xff
#define ST_SIZE          62
#define ST_END_OF_WORD   0xfe
#define ST_DISK          0
#define ST_MEM           1
#define ST_BUF_SIZE      2048
#define ST_MAX_LIST_LEN  1000000L
#define ST_DELIM         '.'

#define    ResetLongFlag(flags,flag)  (flags=(DWORD)(flags)&(~((DWORD)(flag))))

#if defined (WIN32)
   #undef  huge
   #define huge
#endif

/******************************************************************************
     The following definitions are used to enhance the readability of the session
     specific global variables.  For example, instead of using ((w->TerArg),
     the program simply uses TerArg.
*******************************************************************************/

/******************************************************************************
     Text line data arrays
*******************************************************************************/
#define hSpellMem         (w->hSpellMemW)
#define hSt               (w->hStW)
#define hUserList         (w->hUserListW)
#define hAuxList          (w->hAuxListW)
#define hAppList          (w->hAppListW)
#define hSmallWordList    (w->hSmallWordListW)
#define MainDict          (w->MainDictW)
#define DataDict          (w->DataDictW)
#define St                (w->StW)
#define UprChar           (w->UprCharW)
#define LwrChar           (w->LwrCharW)
#define DictToLwr         (w->DictToLwrW)
#define UprToLwr          (w->UprToLwrW)
#define LwrToUpr          (w->LwrToUprW)
#define LwrToDict         (w->LwrToDictW)
#define StSize            (w->StSizeW)
#define StMaxLevels       (w->StMaxLevelsW)
#define UserList          (w->UserListW)
#define AuxList           (w->AuxListW)
#define AppList           (w->AppListW)
#define SmallWordList     (w->SmallWordListW)
#define UserMaxListLen    (w->UserMaxListLenW)
#define AuxMaxListLen     (w->AuxMaxListLenW)
#define UserListLen       (w->UserListLenW)
#define OrigUserListLen   (w->OrigUserListLenW)
#define AuxListLen        (w->AuxListLenW)
#define AppListLen        (w->AppListLenW)
#define SmallWordListLen  (w->SmallWordListLenW)
#define StUserDict        (w->StUserDictW)
#define DictBufferLen     (w->DictBufferLenW)
#define DictBuffer        (w->DictBufferW)
#define StInitialized     (w->StInitializedW)
#define string            (w->stringW)
#define string1           (w->string1W)
#define StTotalVowels     (w->StTotalVowelsW)
#define StVowelIdx1       (w->StVowelIdx1W)
#define StVowelIdx2       (w->StVowelIdx2W)
#define DlgX              (w->DlgXW)
#define DlgY              (w->DlgYW)
#define SugWord           (w->SugWordW)
#define TotalSugWords     (w->TotalSugWordsW)
#define StReplace         (w->StReplaceW)
#define StResult          (w->StResultW)
#define StFlags           (w->StFlagsW)
#define CurInputWord      (w->CurInputWordW)
#define RevId             (w->RevIdW)
#define IndexFileLen      (w->IndexFileLenW)


